import request from '@/utils/request'

// 查询探测器用户列表
export function listDetectorUser(query) {
  return request({
    url: '/supervise/user/list',
    method: 'get',
    params: query
  })
}

// 探测器用户列表
export function detectorUserList(query) {
  return request({
    url: '/supervise/user/detectorUserList',
    method: 'get',
    params: query
  })
}

// 查询探测器用户详细
export function getDetectorUser(userId) {
  return request({
    url: '/supervise/user/' + userId,
    method: 'get'
  })
}

// 新增探测器用户
export function addDetectorUser(data) {
  return request({
    url: '/supervise/user',
    method: 'post',
    data: data
  })
}

// 修改探测器用户
export function updateDetectorUser(data) {
  return request({
    url: '/supervise/user',
    method: 'put',
    data: data
  })
}

// 删除探测器用户
export function delDetectorUser(userId) {
  return request({
    url: '/supervise/user/' + userId,
    method: 'delete'
  })
}

// 导出探测器用户
export function exportDetectorUser(query) {
  return request({
    url: '/detector/detectorUser/export',
    method: 'get',
    params: query
  })
}
